%global namedreltag .Alpha7
%global namedversion %{version}%{?namedreltag}

%global debug_package %{nil}

Name:             protostream
Version:          1.0.0
Release:          %mkrel 0.8%{namedreltag}.1
Group:            Development/Java
Summary:          Infinispan ProtoStream
License:          ASL 2.0 and BSD
Url:              http://infinispan.org/
Source0:          https://github.com/infinispan/protostream/archive/%{namedversion}.tar.gz
Source1:          LICENSE.txt

BuildRequires:    maven-local
BuildRequires:    mvn(com.google.protobuf:protobuf-java)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j:12)
BuildRequires:    mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-surefire-report-plugin)
BuildRequires:    mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    protobuf-c
BuildRequires:    protobuf-compiler

%description
The Infinispan ProtoStream project.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n protostream-%{namedversion}

cp %{SOURCE1} .

%pom_xpath_set "pom:properties/pom:version.log4j" 12 parent
%pom_xpath_inject "pom:dependency[pom:artifactId = 'log4j']" '<version>${version.log4j}</version>' core
%pom_remove_plugin -r :maven-source-plugin
# Break build, use system setting
%pom_remove_plugin -r :maven-compiler-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Fri Feb 26 2016 neoclust <neoclust> 1.0.0-0.8.Alpha7.1.mga6
+ Revision: 979596
- sync package protostream with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 1.0.0-0.4.Alpha7.4.mga5
+ Revision: 807244
- rebuild against current java stack

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.0.0-0.4.Alpha7.1.mga4
+ Revision: 563510
- imported package protostream


* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-0.4.Alpha7
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Alpha7
- Disabled debuginfo package

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha7
- Initial packaging



